FORUMS: list search recent posts

Need Old firmware (1.2.4) for 5D Mark 2

COW Forums : Canon Cameras

<< PREVIOUS   •   VIEW ALL   •   PRINT   •   NEXT >>
Angel Nieves
Need Old firmware (1.2.4) for 5D Mark 2
on Apr 9, 2010 at 3:34:11 am

I need to roll back to the old firmware (1.2.4) for the Canon 5D Mark II. Does anyone have it, or know where I can get it? Please help. Desperate.


Return to posts index

Aaron Stewart
Re: Need Old firmware (1.2.4) for 5D Mark 2
on Apr 9, 2010 at 3:41:33 pm

Might try PM'ing some of the people on the cinema5D forum.... sounds like they were keeping backups of old firmware they might be able to email you.

http://www.cinema5d.com/viewtopic.php?f=56&t=8739&st=0&sk=t&sd=a



Aaron R. Stewart
arstewart@gmail.com


Return to posts index

Norman Willis
Re: Need Old firmware (1.2.4) for 5D Mark 2
on Apr 11, 2010 at 3:35:19 am

Hey Aaron.

I could not get that link to work.

Angel, I just bought a 5D and am curious: can you tell me why you need the old firmware?

Thanks.

Norman Willis
http://www.nazareneisrael.org


Return to posts index


Angel Nieves
Re: Need Old firmware (1.2.4) for 5D Mark 2
on Apr 11, 2010 at 4:26:59 am

Nothing defective. I shot a feature film with the old firmware, which allowed for a frame rate of 30fps. The new firmware only allows 29.97. I need to shoot some new scenes and would like to match the old footage. Don't want to convert just yet. I found version 1.1.0, but if anyone has 1.2.4 please let me know. Thanks.


Return to posts index

Bill Crawford
Re: Need Old firmware (1.2.4) for 5D Mark 2
on Apr 12, 2010 at 7:36:40 pm

Give this location a try:

http://www.userdrivers.com/Digital-Camera/Canon-EOS-5D-Mark-II-Digital-SLR-...




Return to posts index

Angel Nieves
Re: Need Old firmware (1.2.4) for 5D Mark 2
on Apr 12, 2010 at 9:38:43 pm

Thanks. That particular link didn't work, but it did give me the idea to do a search by the actual file name: eos5d2124.dmg . And in case anyone is interested, this seems to be the only link on the web that works:

http://www.opendrivers.com/driver/299861/canon-eos-5d-mark-ii-camera-firmwa...


Return to posts index


Aaron Stewart
Re: Need Old firmware (1.2.4) for 5D Mark 2
on Apr 14, 2010 at 1:41:04 am

I've uploaded to a permanent shared link, so if that website doesn't work anymore and someone happens on this thread in the future needing the old 1.2.4 firmware they can get it from here:

http://www.mediafire.com/?sharekey=5108a1e0f20ce8a5ab1eab3e9fa335ca421884d0...



Aaron R. Stewart
arstewart@gmail.com


Return to posts index

Bob Dix
Re: Need Old firmware (1.2.4) for 5D Mark 2
on Apr 14, 2010 at 10:44:46 pm

I would check with Canon before you try that.I have had a minor problem with the 2.0.4 update, it did the change ok but, the 25fps shows as 2.5 fps in Premiere 1.5.1 but, not Premiere Elements. Frankly I cannot see any difference from 30fps and 29.97fps? And we had to convert that to 25fps (PAL) with no ill effects.

The 25fps from the camera is perfect for us now.Download all the old footage to your computer to edit.?

Freelance Imaging & Video
AUSTRALIA


Return to posts index

<< PREVIOUS   •   VIEW ALL   •   PRINT   •   NEXT >>
© 2017 CreativeCOW.net All Rights Reserved
[TOP]